﻿@charset "utf-8";

/* 1536 , 1530 × 735 ,1366 *//* 上記画面幅でも崩れていないか確認 */

/* 修正した場合→各項目の一番下に日付をコメントアウトして追記 */




/*■■　ALL　■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/


/* color */
.txt_color_nomal, .hvr_txt_color_nomal:hover{color: var(--black);}
:root{
    --color1: #175451; 
    --color2: #e2de96; 
    --color3: #0a2624; 
    --color4: #b6d3d1; 
    --black: #151a1e; 
	--linkStyle:#e2de96;
}

.txt_red, .hvr_txt_red:hover{color: #C12326;}
.txt_gray, .hvr_txt_gray:hover{color: #ccc}
.txt_color1, .hvr_txt_color1:hover{color: var(--color1)} /* メインカラー */
.txt_color2, .hvr_txt_color2:hover{color: var(--color2)} /* サブカラー */
.txt_color3, .hvr_txt_color3:hover{color: var(--color3)} /* アクセントカラー1 */
.txt_color4, .hvr_txt_color4:hover{color: var(--color4)} /* アクセントカラー2 */

/* background-color */
.bg_black, .hvr_bg_black:hover{background-color: var(--black)} /* 黒背景 */
.bg_gray, .hvr_bg_gray:hover{background-color: #ccc}
.bg_color1, .hvr_bg_color1:hover{background-color: var(--color1)} /* メインカラー */
.bg_color2, .hvr_bg_color2:hover{background-color: var(--color2)} /* サブカラー */
.bg_color3, .hvr_bg_color3:hover{background-color: var(--color3)} /* アクセントカラー1 */
.bg_color4, .hvr_bg_color4:hover{background-color: var(--color4)} /* アクセントカラー2 */
.bg_color_clear, .hvr_bg_color_clear:hover{background-color: transparent!important}

/* border-color ※!important */
.border_black, .hvr_border_black:hover{border-color: var(--black)}
.border_gray, .hvr_border_gray:hover{border-color: #ccc}
.border_color1, .hvr_border_color1:hover{border-color: var(--color1)}
.border_color2, .hvr_border_color2:hover{border-color: var(--color2)}
.border_color3, .hvr_border_color3:hover{border-color: var(--color3)}
.border_color4, .hvr_border_color4:hover{border-color: var(--color4)}


.linkStyle{
	color:var(--linkStyle);
}
.linkStyle:hover{
	color:var(--color1);
	opacity: 0.7;
	transition: all 0.5s;
}
#google_privacy a {
    color: var(--color3);
}

.point_no{
    pointer-events: none;
}
html, body {
    font-size: 16px;
}

.tel_bt{
    display: none;
}

/*header*/

#pc_nav {
    display: none;
}

.sp_contact_bt{
    display: none;
}

/* fix_bnr ---------------------------------------------------------------------------------------------*/
#fix_bnr {
    bottom: 10px;
    right: 50px;
    z-index: 10;
    width: 37%;
    max-width: 370px;
    margin: auto;
    transition: opacity 0.8s, transform 0.8s;
    opacity: 0;
    transform: translateY(20px); 
    pointer-events: none; 
}

.is-visible {
    opacity: 1 !important;
    transform: translateY(0) !important;
    pointer-events: auto !important; 
}

#fix_bnr:hover{
    transform: translateY(0) scale(1.1) !important;
}


/* ---------------------------　タブレット　-------------------------- */
@media screen and (max-width: 768px){

}

/* --------------------------　スマホ　-------------------------- */
@media screen and (max-width: 667px){
/*header*/
#header h1 img {
    width: 150px !important;
}

/*fix_bnr*/

#fix_bnr{
    width: 65%;
    right: 0;
    left:0;
}
}



/*■■　FV　■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
#main_img{
    height: 100vh;
    min-height: 700px;
    padding-top: 0;
    overflow: hidden;
    min-width: 1200px;
    background-image: url('/Files/img/main_bg.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

#main_img .main_txt{
    width: 53%;
    max-width: 800px;
    top: 26%;
    left: 0;
    bottom: auto;
}


/* --- アニメーション用コンテナの位置 --- */
#car_anim_box {
    top: 27%;
    right: -10px;
    transform: translate(0, -50%);
    width: 60%; 
    height: auto;
    max-width: 1140px;
    z-index: 1;
}

/* 内部の画像とSVGを強制的に重ねる */
#car_anim_box > .posi_abs {
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
}
#real_car {
    width: 100%;
    display: block;
    opacity: 0; 
    transition: opacity 1.5s ease; 
}

/* --- SVG線の設定 --- */
/* 読み込まれたSVG内のpathに対してスタイルを適用 */
#svg_placeholder svg {
    width: 100%;
    height: auto;
    overflow: visible; /* 光彩が切れないように */
}

#svg_placeholder path {
    fill: none !important;    
    stroke: #00ffff;           /* 光の色（シアン） */
    stroke-width: 1.5px;
    stroke-linecap: round;
    stroke-linejoin: round;
    filter: drop-shadow(0 0 5px #00ffff); 
    
    /* 線のアニメーション準備 */
    stroke-dasharray: 5000;    /* 線の長さ（十分大きな値） */
    stroke-dashoffset: 5000;   /* 最初は隠しておく */
    opacity: 1;
    transition: opacity 1s ease; /* 消える時のフェード */
}

/* 線を描くクラス */
#svg_placeholder.start-draw path {
    animation: drawLine 2.5s ease-in-out forwards;
}

@keyframes drawLine {
    to { stroke-dashoffset: 0; }
}


@media screen and (max-width: 1550px){
    #car_anim_box {
        width: 50%;
        top: 35%;
    }
}

/* ---------------------------　タブレット　-------------------------- */
@media screen and (max-width: 768px){
#main_img{
    min-width: auto;
    min-height: auto;
    height: 77vh;
}
#main_img .main_txt{
    width: 70%;
    top: 18%;
}
#car_anim_box{
        transform: translate(-50%, 0);
    top: 47%;
    right: auto;
    left: 50%;
    width: 90%;
}
}

/* --------------------------　スマホ　-------------------------- */
@media screen and (max-width: 667px){
#main_img .main_txt{
    width: 90%;
    top: 21%;
}
#car_anim_box{
     top: 51%;
     left: 59%;
     width: 101%;
}
}



/*■■　TOP　■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
#contents1 .con_title, #contents1-h .con_title{
        font-size: clamp(24px, 2.5vw, 40px);
    margin-bottom: 25px;
}
 
#contents2 .con2_box .con2_title2 ,#contents2 .con2_box .con2_txt{
    width: 100%;
}
#contents2 .con2_txt_wrap {
    justify-content: flex-start;
}

.con2_txt{
    padding-top: 30px;
}

main{
    position: relative;
    z-index: 0;
    overflow: hidden;
}
main::before{
    content: "";
    position: absolute;
    top: -0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-image: url('/Files/img/noisebg.svg');
    opacity: 0.1; 
    mix-blend-mode: overlay; 
    pointer-events: none;
}

/* ---------------------------　タブレット　-------------------------- */
@media screen and (max-width: 768px){
.con2_txt{
        padding-top: 0;
}
}

/* --------------------------　スマホ　-------------------------- */
@media screen and (max-width: 667px){
#contents1 .con_title, #contents1-h .con_title {
    font-size: 24px;
}

}



/*■■　下層ページ　■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
.cate_list li a {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 10px;
}


/*ご利用の流れ*/
#cms_5-f .cate_box .open_bt .box_title1::before, .cms_5-f .cate_box .open_bt .box_title1::before {
    display: none;
}
#cms_5-f .cate_box .open_bt .box_title1, .cms_5-f .cate_box .open_bt .box_title1 {
    margin-left: 50px;
}
#cms_5-f .cate_box .open_bt .arrow::before, #cms_5-f .cate_box .open_bt .arrow::after, .cms_5-f .cate_box .open_bt .arrow::before, .cms_5-f .cate_box .open_bt .arrow::after {
    background-color: #fff;
}

/*お問い合わせ*/

.button a {
    background: var(--color1);
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
    padding: 10px 25px 10px 10px;;
    color: #fff;
    line-height: 1.8;
    text-decoration: none;
    transition: 0.3s ease-in-out;
    font-weight: 500;
    border: solid 2px var(--color1);
font-size: 30px;
}
.button a:hover {
    background: var(--color2);
    color: var(--color1);
}
.button a:after {
    content: '';
    width: 8px;
    height: 8px;
    border-top: 3px solid #fff;
    border-right: 3px solid #fff;
    transform: rotate(45deg) translateY(-50%);
    position: absolute;
    top: 50%;
    right: 25px;
    border-radius: 1px;
    transition: 0.3s ease-in-out;
}
.button a:hover:after {
    border-color:var(--color1);
}

.form_wrap .grid_9 .txt_color_nomal{
    color: var(--black) !important;
}


/* ---------------------------　タブレット　-------------------------- */
@media screen and (max-width: 768px){

}

/* --------------------------　スマホ　-------------------------- */
@media screen and (max-width: 667px){
    
        #page_title h2 {
        font-size: 26px;
        }
/*お問い合わせ*/
.button a {
    font-size: 20px;
}
}


